# Interface VectorOperators.Comparison

All Superinterfaces:
  `VectorOperators.Operator`

Enclosing class:
  `VectorOperators`

public static interface VectorOperators.Comparison extends VectorOperators.Operator
Type for all binary lane-wise boolean comparisons on lane values, usable in expressions like `m = v0.``compare``(LT, v1)`.

API Note:
  User code should not implement this interface. A future release of this type may restrict implementations to be members of the same package.

## Method Summary

### Methods declared in interface jdk.incubator.vector.VectorOperators.Operator

`arity, compatibleWith, isAssociative, isBoolean, name, operatorName, rangeType`